Subject: igb: question regarding auto-negotiation

From: Dominic Curran <[email-masked]>
Date: Fri, 29 Jul 2016 16:37:39 -0700

Hi

This question refers to igb codebase.
I have a question regarding the setting of hw->mac.autoneg.

Is it correct to say for igb driver:
    "if speed=1000 and duplex=FULL and media_type=COPPER  then  only 
auto-negotiate enable is supported"

i.e.
    with these settings (speed/duplex/media_type) then auto-negotiate 
can _not_ be disabled.  Correct ?

I say this for two reasons:
1) The code in igb_set_spd_dplx() seems to indicate it:

        case SPEED_1000 + DUPLEX_FULL:
                 mac->autoneg = 1;
                 adapter->hw.phy.autoneg_advertised = ADVERTISE_1000_FULL;
                 break;

2) Instrumenting the driver, I always see the autoneg code in 
e1000_check_for_copper_link_generic()  get called after an igb_reset().

Have i understood correctly ?

thanks in advance
dom